
# fakeImages

Das Script `createImages` erzeugt aus einem leeren Messgeräte-Bild und neun 
(oder mehr) 7-Segment-Bildern neue Messgeräte-Bilder mit zufälliger Anzeige. 
Als anschaulicher Test kann man zusätzlich eine Videodatei, die die erzeugten 
Bilder zeigt, erzeugen (`createVideo`). 

Notwendige Software:

* `ImageMagick` (Programm `convert`)
* Grafikprogramm (z.B. `gimp`)
* `exiv2` (Manipulation von Metadaten)
* Evtl. `ffmpeg` zur Videoerzeugung

 Die Dateinamen der erzeugten Grafiken enthalten dieselbe Zeichenkette, die sie 
 grafisch auf dem Display darstellen. Es gilt folgende Nomenklatur:
 ```
 XXX/images/XXX@0.12345@.png 
 ```
 * `XXX`: Kennung des Gerätes
 * `0.12345`: In der Grafik zu sehender Displaywert. Falls bei der Konstruktion 
 dieser Zeichenfolge Leerzeichen entstehen, werden diese durch das Zeichen `_` 
 ersetzt. Für das Dateisystem problematische Zeichen (z.B. `/`) werden 
 URL-kodiert(z.B. `%2F`).
 
 Zusätzlich wird der Displaywert auch noch den Metadaten der Grafikdatei 
 zugefügt (Tag »`Exif.Image.ImageDescription`«).
 
 Das Script `createImages` wertet zwei numerische Kommandozeilen-Parameter aus:
 ```
 createImages NUMBER_OF_FILES NUMBER_OF_DIGITS
 ```
 (Standard: NUMBER_OF_FILES=10, NUMBER_OF_DIGITS=gerätespezifisch)
 



